Skip to main content
POST
/
v1
/
identities
Create identity
curl --request POST \
  --url https://api.example.com/v1/identities \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "local_part": "<string>",
  "display_name": "<string>",
  "assistant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "reply_to_email": "<string>",
  "signature_text": "<string>",
  "signature_html": "<string>",
  "thread_history_depth": 10,
  "approval_channel": {}
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "assistant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "local_part": "<string>",
  "email_address": "<string>",
  "display_name": "<string>",
  "reply_to_email": "<string>",
  "signature_text": "<string>",
  "signature_html": "<string>",
  "thread_history_depth": 123,
  "status": "<string>",
  "approval_channel": {},
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
domain_id
string<uuid>
required
local_part
string
required
display_name
string
required
assistant_id
string<uuid> | null
reply_to_email
string | null
signature_text
string | null
signature_html
string | null
thread_history_depth
integer
default:10
approval_channel
Approval Channel · object

Response

Successful Response

id
string<uuid>
required
workspace_id
string<uuid>
required
domain_id
string<uuid>
required
assistant_id
string<uuid> | null
required
local_part
string
required
email_address
string
required
display_name
string
required
reply_to_email
string | null
required
signature_text
string | null
required
signature_html
string | null
required
thread_history_depth
integer
required
status
string
required
approval_channel
Approval Channel · object
required
created_at
string<date-time>
required
updated_at
string<date-time>
required